Results 1 to 13 of 13

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: jailbreak 4.0, cydia, tiny umbrella help

  1. #1
    Default jailbreak 4.0, cydia, tiny umbrella help
    hi, im very new here so mind me if the questions are super noob.

    i found out about the jailbreakme.com method just yesterday, n by that time, apple have already released 4.0.2

    im currently using iphone 3gs, 3.1.2 with the new bootrom and am using the blackrain jailbreak, and unlock dependant.

    i was wondering, is it possible and advisable to upgrade to 4.0 and jailbreak using jailbreakme?

    oh n, i did not save any SHSH blobs before this but when i opened my cydia, on top there it says "this device has SHSHs on file for iphone OS/IOS: 3.1.2, 3.1.3, 4.0, 4.0.1" so i did the whole tiny umbrella thing, the advanced options, save my SHSH for device 3.1.2, 4.0 and 4.0.1 and display SHSH did say, "the following devices/ECIDs can be restored safely" for all 3 FWs.

    so does that mean i can stil upgrade to 4.0 or 4.1, n back to 3.1.2?

    any advice would be most helpful, thank u

  2. #2
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    yes you can restore to 3.1.2, 3.1.3, 4.0, or 4.0.1 and back again as often as you wish, use jailbreakme to jailbreak if you go to 4.x and ultrasn0w to unlock, the phone must be activated for jailbreakme to work

  3. The Following User Says Thank You to j3st3r For This Useful Post:

    eric56 (2010-08-13)

  4. #3
    Yes, but if you are dependent on an unlock you will need any legit sim to activate it before you install ultrasn0w.

  5. The Following User Says Thank You to korin125 For This Useful Post:

    eric56 (2010-08-13)

  6. #4
    Quote Originally Posted by korin125 View Post
    Yes, but if you are dependent on an unlock you will need any legit sim to activate it before you install ultrasn0w.
    good point. no matter what version the firmware is, i guess i have to 1st consider this point right?

    erm, just to make sure, what is actually the original carrier sim or the legit sim?

  7. #5
    What country? USA is ATT...

  8. #6
    Quote Originally Posted by eric56 View Post
    hi, im very new here so mind me if the questions are super noob.

    i found out about the jailbreakme.com method just yesterday, n by that time, apple have already released 4.0.2

    im currently using iphone 3gs, 3.1.2 with the new bootrom and am using the blackrain jailbreak, and unlock dependant.

    i was wondering, is it possible and advisable to upgrade to 4.0 and jailbreak using jailbreakme?

    oh n, i did not save any SHSH blobs before this but when i opened my cydia, on top there it says "this device has SHSHs on file for iphone OS/IOS: 3.1.2, 3.1.3, 4.0, 4.0.1" so i did the whole tiny umbrella thing, the advanced options, save my SHSH for device 3.1.2, 4.0 and 4.0.1 and display SHSH did say, "the following devices/ECIDs can be restored safely" for all 3 FWs.

    so does that mean i can stil upgrade to 4.0 or 4.1, n back to 3.1.2?

    any advice would be most helpful, thank u
    I would recommend if USA to use 4.0 or 4.0.1 thru jailbreakme.com. You then can use Ultrasnow (repo999) to unlock. The 3GS does run pretty smooth on the IOS firmware.
    Give me some free... Free! Which way is to... Give me some free...

  9. The Following User Says Thank You to elcaptain0069 For This Useful Post:

    eric56 (2010-08-13)

  10. #7
    Quote Originally Posted by korin125 View Post
    What country? USA is ATT...
    yeap! just checked. mine is from at&t, us version.

    ok but, im confused again, if we can jailbreak and unlock using ultrasnow, y do u need the original sim card to "activate" again? isnt that the whole concept of unlocking, to use other carriers?

  11. #8
    My iPhone is a Part of Me Trooper Sam's Avatar
    Join Date
    Jul 2010
    Location
    Somewhere in California
    Posts
    503
    Thanks
    51
    Thanked 78 Times in 62 Posts

    When you install a new firmware, all of the jailbreak and unlock stuff is wiped, and the phone will again be sim-locked until you jailbreak and unlock again.

  12. #9
    ok so i restore to 4.0/4.0.1, jailbreak, unlock.. so where does the "activate" comes in? as in where u have to use the original carrier sim n stuf

  13. #10
    iPhoneaholic
    Join Date
    Jul 2010
    Location
    Bridlington, England
    Posts
    383
    Thanks
    6
    Thanked 49 Times in 46 Posts

    when ever you buy a iPhone, or restore 1, you need to activate it with a sim card, otherwise its only good for 911 calls, and as a paper wieght

  14. #11
    Quote Originally Posted by eric56 View Post
    ok so i restore to 4.0/4.0.1, jailbreak, unlock.. so where does the "activate" comes in? as in where u have to use the original carrier sim n stuf
    I don't even have an iPhone but you need to activate before you can even use the phone, thus you will need to activate before you can access Cydia to install ultrasn0w. You will need any ATT sim from any phone (from what I understand) just to activate then you're ready to unlock.

  15. #12
    OH! i get it now. thnks a lot guys.

    erm, i dont live in the states but is it possible to buy one and have it sent over?

  16. #13
    Hmm, I'm not sure about that but there are methods of how to activate with a phonebook sim card, available to buy online at this site . I've read some comments on various sites that they could not get this to work, however this is the proper way, you just may need to find a better tutorial

  17. The Following User Says Thank You to korin125 For This Useful Post:

    eric56 (2010-08-15)

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •